<?php

	$dir = $_SERVER['DOCUMENT_ROOT']."/".substr(substr($_SERVER['REQUEST_URI'], 1), 0, strpos(substr($_SERVER['REQUEST_URI'], 1), '/'))."/phone_gap";
	require_once($dir."/dados.php");
	require_once($dir."/classes/Dados.class.php");
	require_once($dir."/classes/Vendedor.class.php");
	require_once($dir."/dao/VendedorDAO.class.php");
	
	$dados = new Dados();
	
	$tiporel = $_POST["tiporel"];
	$dataini = $_POST['dataini'];
	$datafin = $_POST['datafin'];
	$dataini = $dados->DatePickerToDate($dataini);
	$datafin = $dados->DatePickerToDate($datafin);

	$inicio = $_POST["inicio"];
	$qtde = $_POST["qtde"];
	
	$vendedor = $dados->fixObject($_SESSION["infovendedor"]);
	
	$result = '';

	if ($tiporel == 'linknrovisitas'){
		$visitas = $vendedor->getVisitas();
	} else {
		$visitas = $vendedor->getVisitasNegativas();
	}
	
	$visitas = array_values($visitas);
	$cont = count($visitas);
	$fim = $inicio + $qtde;
	
	for ($i = $inicio; $i < $fim and $i < $cont; $i++){
		$situacao = $visitas[$i]->getSituacao();
		
		$cliente = $visitas[$i]->getCliente();
		
		$result .= "<tr><td style='text-align: left;'>".$cliente->getCodCliente()."</td><td style='text-align: left;'>".$cliente->getNome()."</td><td>".$visitas[$i]->getQtde()."</td><td>".$visitas[$i]->getData()."</td><td>".$visitas[$i]->getHora()."</td>";
		if ($situacao == 'Positivo'){
			$result .= "<td style='background-color:green;'>".$situacao."</td>";
		} else {
			$result .= "<td style='background-color:red;'>".$situacao."</td>";
		}
		$result .= '</tr>';
	}
	
	if ($i == $cont) {
		if ($tiporel == 'linknrovisitas'){
			$result .= "<tr style='background-color:green;font-weight: bold;' class='final-tabela'><td></td><td>Total</td><td>".$vendedor->getNroVisitas()."</td><td></td><td></td><td></td></tr>";
		} else {
			$result .= "<tr style='background-color:green;font-weight: bold;' class='final-tabela'><td></td><td>Total</td><td>".$vendedor->getNroVisitasNegativas()."</td><td></td><td></td><td></td></tr>";
		}
	}
	echo $result;
?>
